//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "wclSerialDevices.hpp"
#include "wclPowerEvents.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TButton *btEnum;
        TButton *btStart;
        TButton *btStop;
        TListView *lvDevices;
        TButton *btClear;
        TListBox *lbEvents;
        TwclSerialMonitor *wclSerialMonitor;
        void __fastcall btClearClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall btEnumClick(TObject *Sender);
        void __fastcall btStartClick(TObject *Sender);
        void __fastcall btStopClick(TObject *Sender);
        void __fastcall wclSerialMonitorInserted(TObject *Sender,
          const TwclSerialDevice &Device);
        void __fastcall wclSerialMonitorRemoved(TObject *Sender,
          const TwclSerialDevice &Device);
        void __fastcall FormCreate(TObject *Sender);

private:	// User declarations
        TwclPowerEventsMonitor* FPowerMonitor;
        
        void __fastcall PowerStateChanged(TObject* Sender,
          const TwclPowerState State);

public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
